Bug 469514 - (debmirror) Review Request: debmirror - debian partial mirror script
Review Request: debmirror - debian partial mirror script
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simon
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: RussianFedoraRemix
  Show dependency treegraph
 
Reported: 2008-11-01 15:29 EDT by Javier Palacios
Modified: 2009-04-19 10:26 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-19 10:26:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cassmodiah: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
GPL v3 (33.68 KB, application/octet-stream)
2009-04-08 18:25 EDT, Simon
no flags Details

  None (edit)
Description Javier Palacios 2008-11-01 15:29:52 EDT
Spec URL: http://www.freewebs.com/javiplx/Fedora/debmirror/debmirror.spec
SRPM URL: http://www.freewebs.com/javiplx/Fedora/debmirror/debmirror-20070123-1.fc9.src.rpm
Description: 
 This program downloads and maintains a partial local Debian mirror.
 It can mirror any combination of architectures, distributions and
 sections. Files are transferred by ftp, http, hftp or rsync, and package
 pools are fully supported. It also does locking and updates trace files.
Comment 1 Itamar Reis Peixoto 2008-11-01 15:41:26 EDT
I belive you need use some macros, something like this ->

/usr/bin/debmirror -> %{_bindir}/debmirror

cp debmirror $RPM_BUILD_ROOT/usr/bin -> cp -p debmirror $RPM_BUILD_ROOT%{_bindir}

-p = preserve timestamp

for more info about macros.

https://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo#Macros
Comment 2 Javier Palacios 2008-11-01 15:56:26 EDT
I'll delay the upload of the new version a couple of days to wait for more comments, but both changes are applied.
Comment 3 Terje Røsten 2008-11-01 16:18:55 EDT
Yes, this is simple package which could be even simpler:

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp debmirror $RPM_BUILD_ROOT/usr/bin

-> 
%{__rm} -rf  %{buildroot}
%{__install} -pD -m 0755 %{name} %{buildroot}%{_bindir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT
->

%clean
%{__rm} -rf  %{buildroot}

%files
%defattr(-,root,root,-)
%doc debmirror.conf

/usr/bin/debmirror

->

%files
%defattr(-, root ,root, -)
%doc %{name}.conf
%{_bindir}/%{name}


BTW: why is the explicit req: 

Requires:	perl-LockFile-Simple

needed? 

rpmbuild don't find this req. by itself?

GPL as license is not correct, is it GPLv2, GPLv2+, GPLv3 or GPLv3+ ?
Comment 4 Itamar Reis Peixoto 2008-11-01 16:25:52 EDT
I belive the correct license tag should be GPLv2, also take a look on rpmlint message about Misc group.


rpmlint /usr/src/redhat/RPMS/noarch/debmirror-20070123-1.fc9.noarch.rpm
debmirror.noarch: W: non-standard-group Misc
debmirror.noarch: W: invalid-license GPL
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


I belive all files in debian dir should be installed as %doc, including doc/design.txt

look
https://fedoraproject.org/wiki/Packaging/Guidelines#Configuration_files

and Why you don`t install debmirror.conf in %{_sysconfdir} using %config(noreplace) ? also why you have included a patch moving this file to $HOME ?
Comment 5 Javier Palacios 2008-11-01 16:49:34 EDT
(In reply to comment #3)
> rm -rf $RPM_BUILD_ROOT
> -> 
> %{__rm} -rf  %{buildroot}

For so simple commands I personally prefer to use them instead of the macros

> BTW: why is the explicit req: 
> 
> Requires: perl-LockFile-Simple
> 
> needed? 

Probably rpmbuild finds that, that is an explicit requirement of the software, and it does not hurt

> GPL as license is not correct, is it GPLv2, GPLv2+, GPLv3 or GPLv3+ ?

I really don't know which version. It's probably whichever version is standard
for debian.
Comment 6 Javier Palacios 2008-11-01 17:05:56 EDT
(In reply to comment #4)
> rpmlint /usr/src/redhat/RPMS/noarch/debmirror-20070123-1.fc9.noarch.rpm
> debmirror.noarch: W: non-standard-group Misc
> debmirror.noarch: W: invalid-license GPL

I saw that, but I can made no guess about GPL version. Regarding the group, where is the list of standard groups?

> I belive all files in debian dir should be installed as %doc, including
> doc/design.txt

I've added changelog, debian.NEWS and design. The remaining files on debian directory are only used to construct debian packages

> 
> look
> https://fedoraproject.org/wiki/Packaging/Guidelines#Configuration_files


> and Why you don`t install debmirror.conf in %{_sysconfdir} using
> %config(noreplace) ? also why you have included a patch moving this file to
> $HOME ?
Comment 7 Javier Palacios 2008-11-01 17:16:34 EDT
(In reply to comment #4)
> and Why you don`t install debmirror.conf in %{_sysconfdir} using
> %config(noreplace) ? also why you have included a patch moving this file to
> $HOME ?

The patch is to avoid the /etc/debmirror.conf gets a requirement.
The sample configuration file is not included because I build this package to use with cobbler, and I see easier to clear the configuration file, as most options must be rewritten to sync different repositories
Comment 8 Ralf Corsepius 2008-11-01 19:19:44 EDT
(In reply to comment #5)
> > Requires: perl-LockFile-Simple
> > 
> > needed? 
> 
> Probably rpmbuild finds that, that is an explicit requirement of the software,
> and it does not hurt
It is both superfluous and wrong 
(correct would be Requires: perl(LockFile::Simple)).


(In reply to comment #7)
> (In reply to comment #4)
> > and Why you don`t install debmirror.conf in %{_sysconfdir} using
> > %config(noreplace) ? also why you have included a patch moving this file to
> > $HOME ?
> 
> The patch is to avoid the /etc/debmirror.conf gets a requirement.
> The sample configuration file is not included because I build this package to
> use with cobbler, and I see easier to clear the configuration file, as most
> options must be rewritten to sync different repositories
That's not how packages are supposed to work in fedora.

IMO, this package should not be accepted with this patch.
Comment 9 Terje Røsten 2008-11-02 03:43:31 EST
> IMO, this package should not be accepted with this patch.

I agree with Ralf here, I suppose the the idea behind a distro is to have packages
to work out of box, that is value of the distro. 
In this case this means a working config file with a file system intrastructure ready to go.
Comment 10 Javier Palacios 2008-11-02 07:29:08 EST
(In reply to comment #9)
> I agree with Ralf here, I suppose the the idea behind a distro is to have
> packages
> to work out of box, that is value of the distro. 
> In this case this means a working config file with a file system intrastructure
> ready to go.

The package works out of the box. The config file is not a requirement, but just a way to override hardcoded defaults.
Comment 11 Ralf Corsepius 2008-11-06 04:52:10 EST
The config file is the official way to adapt it to a particular platform.

Unless you manage to make this patch adopted by upstream, you can consider this package and your request for sponsorship on hold.
Comment 12 Javier Palacios 2008-11-09 16:44:30 EST
(In reply to comment #11)
> The config file is the official way to adapt it to a particular platform.
> 
> Unless you manage to make this patch adopted by upstream, you can consider this
> package and your request for sponsorship on hold.

I don't understand this well.

First, the configuration file is not required, just optional.
Second, the patch is there only to avoid that debmirror.conf goes listed as a requirement (if not packaged)

Regarding upstream, I will try, but last version of this package is years ago.
Comment 13 Ralf Corsepius 2008-11-10 01:57:24 EST
(In reply to comment #12)
> (In reply to comment #11)
> > The config file is the official way to adapt it to a particular platform.
> > 
> > Unless you manage to make this patch adopted by upstream, you can consider this
> > package and your request for sponsorship on hold.
> 
> I don't understand this well.
OK, more direct:


1. If you want to see this patch included into this package, ask the Debian upstream to include this patch into their sources and to change their package's behavior to rely on the implicit defaults.

Right now, they are shipping this config file, they are relying upon, it's their package's documented behavor.

> First, the configuration file is not required, just optional.

Wrong, using this file is the official, nominal behavior. You are shipping a crippled and hacked package.

2. Your answers are demonstrating, that you might not be sufficiently skilled for contributing to Fedora.
Comment 14 Javier Palacios 2008-11-10 03:41:38 EST
(In reply to comment #13)
> Wrong, using this file is the official, nominal behavior. You are shipping a
> crippled and hacked package.
> 
> 2. Your answers are demonstrating, that you might not be sufficiently skilled
> for contributing to Fedora.

OK. I understand this as a rejection. But could you kindly point me to the place where you learn that the config file is the "official" behaviour ?
Comment 15 Itamar Reis Peixoto 2008-11-10 04:29:57 EST
in other words a mirror will wast 500 or more gigs of data, so there are no reason to store config file at $HOME, because the people will not create more than one mirror per machine.
Comment 16 Javier Palacios 2008-11-10 04:57:47 EST
(In reply to comment #15)
> in other words a mirror will wast 500 or more gigs of data, so there are no
> reason to store config file at $HOME, because the people will not create more
> than one mirror per machine.

The only thing I can say to that is that I agree. You should ask the reason upwards.
Comment 17 Simon 2008-12-02 00:49:51 EST
Ping. Is there any progress on this? Do you need any help with this?
Comment 18 Simon 2009-02-11 11:39:33 EST
Ping, again!
Comment 19 Simon 2009-03-04 16:56:49 EST
mh?! ping the third!
Comment 20 Simon 2009-03-18 12:17:34 EDT
dead review? seems so.

closed, 
please reopen it, if you think otherwise...
Comment 21 Ruben Kerkhof 2009-04-07 13:00:34 EDT
I'd like to maintain debmirror for personal needs, so I've cleaned up the package according to the comments mentioned above and like to continue the review.

SPEC: http://ruben.fedorapeople.org/debmirror.spec
SRPM: http://ruben.fedorapeople.org/debmirror-20070123-5.fc11.src.rpm
Comment 22 Simon 2009-04-07 15:14:31 EDT
please open a new review request:
https://bugzilla.redhat.com/show_bug.cgi?id=473754#c8
I would like to do this review, if you don't object...
Comment 23 Javier Palacios 2009-04-07 15:23:26 EDT
Sorry, I'been quite busy for a few weeks, and had tons of email without opening.

I have no problem with Ruben taking up the package, although I personally don't like to use macros for obvious commands.

The reason that actually did stopped this review was basically the one from comment 8 from Ralf Corsepius, as well as comment 9.

That two lines patch was intended to clean the circular dependency on debmirror.conf, exactly the same that Ruben cleaned with the block starting at
# filter file dependency on debmirror.conf

If the patch (which I believe much cleaner) is not acceptable, I don't see why this other way is. (just in case, the patch only prevents debmirror.conf to be detected as dependency, and if the file is there it is still read)

Regarding the current developement, it is basically dead. According to debian information pages, the current maintainer of the package is Goswin von Brederlow, also listed as current author, but the email does not currently work.
So there is no chance on including the patch in upstream version, as suggested on comment 13.
Comment 24 Simon 2009-04-07 16:53:48 EDT
mh, debmirror isn't the ultimate debian mirror solution,

i think the handling of debmirror is to laborious, compared with apt-mirror and i never was a fan of debmirror.
Comment 25 Ruben Kerkhof 2009-04-07 18:10:51 EDT
Simon, why should I open a new review request? There are valuable comments in this one I'd like to take into consideration.

I agree that debmirror isn't the ultimate solution, but apt-mirror doesn't seem to be well maintained either.

Javier, I'm not sure what your original patch did, the srpm linked to above gives a 404. I don't want to remove the config file from the package, just filter out the dependency which is added rpm because the config file is perl code. I'm aware of the fact that you can't override the values in the config file with command-line arguments (which Cobbler needs) but will have a look at writing a patch for that.
Comment 26 Simon 2009-04-07 18:31:29 EDT
Ruben, ok reopen it again, it's no bother (for me).
Both projects are completed. There is no feature missing (for me).
Comment 27 Ruben Kerkhof 2009-04-07 18:50:06 EDT
Thanks. I had a look at the debian bugtracker and although there are quite a few bugs open the maintainer seems to respond to them. He has another email address though (http://bugs.debian.org/cgi-bin/pkgreport.cgi?package=debmirror)

I've added a manpage and a few Requires for things like rsync which debmirror uses.

New version here:
SPEC: http://ruben.fedorapeople.org/debmirror.spec
SRPM: http://ruben.fedorapeople.org/debmirror-20070123-6.fc11.src.rpm
Comment 28 Javier Palacios 2009-04-07 18:52:38 EDT
(In reply to comment #25)
> Javier, I'm not sure what your original patch did, the srpm linked to above
> gives a 404. I don't want to remove the config file from the package, just
> filter out the dependency which is added rpm because the config file is perl
> code. I'm aware of the fact that you can't override the values in the config
> file with command-line arguments (which Cobbler needs) but will have a look at
> writing a patch for that.  

I made some changes, but didn't reflect the url because considering the package rejected.
They are at http://www.freewebs.com/javiplx/Fedora/debmirror/

The patch didn't remove anything, although in the first package release the configuration was not included in the package because it interferes more than help with usage from within cobbler.

The patch only replaces a couple of 'require' with 'use', which are not considered by standard perl dependencies search code.
Comment 29 Simon 2009-04-07 19:11:48 EDT
oh, you looked into the rules and the control, finally that did someone :-)
I already missed the Requirements and the manpage :-)

just 3 questions:

1.) Why your release jumps from -2 to -5?

2.) Don't you think the URL should be
http://packages.qa.debian.org/d/debmirror.html
A little content with a little bit design around is more attractive, than a directory listing is not a good URL.

3.) Why are you not using the name macro instead of the name in the whole specfile?
Comment 30 Ruben Kerkhof 2009-04-08 06:50:21 EDT
>> 1.) Why your release jumps from -2 to -5?

I did a few internal builds to test.

>> 2.) Don't you think the URL should be http://packages.qa.debian.org/d/debmirror.html

Agreed, I changed that.

>> 3.) Why are you not using the name macro instead of the name in the whole
specfile?  

Fixed as well.

New version:
SPEC: http://ruben.fedorapeople.org/debmirror.spec
SRPM: http://ruben.fedorapeople.org/debmirror-20070123-7.fc11.src.rpm
Comment 31 Javier Palacios 2009-04-08 18:13:56 EDT
For 'Source', it could be better to use the main ftp.debian.org site instead of ftp.de.debian.org
Comment 32 Simon 2009-04-08 18:25:42 EDT
Created attachment 338818 [details]
GPL v3
Comment 33 Simon 2009-04-08 18:26:03 EDT
-= Review debmirror=-

# MUST: rpmlint must be run on every package. The output should be posted in the review.
-----------
O.K rpmlint is silent


# MUST: The package must be named according to the Package Naming Guidelines.
-----------
O.K


# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
-----------
O.K.


# MUST: The package must meet the Packaging Guidelines
-----------
O.K.


# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines
-----------
O.K. 


# MUST: The License field in the package spec file must match the actual license.
-----------
NOT O.K.
the License is GPLv3, because the copyright file says:
[quote]
License: The debmirror script is licensed under the terms of the GNU
         General Public License (see /usr/share/common-licenses/GPL).
[/quote]
and the /usr/share/common-licenses/GPL is GPLv3 in current stable Debian (Lenny), I added the file as attachment on this bug


# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
-----------
N/A


# MUST: The spec file must be written in American English.
-----------
O.K.


# MUST: The spec file for the package MUST be legible.
-----------
O.K.


# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
-----------
my download e89d7b8aae00fbf0743b2cd6bc99d746
in srpm e89d7b8aae00fbf0743b2cd6bc99d746
in dsc  e89d7b8aae00fbf0743b2cd6bc99d746

# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
-----------
N/A - noarch


# MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
-----------
N/A noarch


# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
-----------
N/A


# MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
-----------
N/A


# MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
-----------
N/A


# MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
-----------
N/A


# MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
-----------
N/A - It doesn't create a directory


# MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
-----------
O.K.


# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
-----------
O.K.


# MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
-----------
O.K.


# MUST: Each package must consistently use macros.
-----------
O.K, BUT please don't use macros in URL.


# MUST: The package must contain code, or permissable content.
-----------
O.K.


# MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
-----------
N/A


# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
-----------
O.K.


# MUST: Header files must be in a -devel package.
-----------
N/A


# MUST: Static libraries must be in a -static package.
-----------
N/A


# MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
-----------
N/A


# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
-----------
N/A


# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
-----------
N/A


# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
-----------
N/A


# MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
-----------
N/A


# MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
-----------
N/A


# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
-----------
O.K.


# MUST: All filenames in rpm packages must be valid UTF-8.
-----------
O.K.


# SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
-----------
mh, I think this 


# SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
-----------


# SHOULD: The reviewer should test that the package builds in mock.
-----------
O.K.


# SHOULD: The package should compile and build into binary rpms on all supported architectures.
-----------
N/A - noarch


# SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
-----------
O.K.


# SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
-----------
N/A


# SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
-----------
N/A


# SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
-----------
N/A

# SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
-----------
N/A


# SOURCE0
-----------
don't use an country-specific mirror. just use ftp.debian.org - the server will redirect you to an mirror in your proximity


# REQUIRES
-----------
Requires:	patch, ed, gnupg, rsync, coreutils, findutils, gzip, bzip2

Lets take a deeper look inside:

patch & ed
are optional, but okay!

gnupg
To check every packagesignature with the key. It's okay 

gzip & bzip
It is highly unlikely that these aren't installed, but this is okay. 

rsync 
It`s a rsync based script, so this is okay.

coreutils & findutils
why are you added these?


# FILTER FILE
-----------
Your filter file is okay; as desired
Comment 34 Javier Palacios 2009-04-08 18:52:55 EDT
(In reply to comment #33)
> # MUST: The License field in the package spec file must match the actual
> license.
> -----------
> NOT O.K.
> the License is GPLv3, because the copyright file says:
> [quote]
> License: The debmirror script is licensed under the terms of the GNU
>          General Public License (see /usr/share/common-licenses/GPL).
> [/quote]
> and the /usr/share/common-licenses/GPL is GPLv3 in current stable Debian
> (Lenny), I added the file as attachment on this bug

Latest release is around 2007, and whichever were the standard Debian license at those times, it was probably not GPLv3. In my opinion, in absence of explicit license file and without contacting the author, GPLv2 is the most likely license.
Comment 35 Simon 2009-04-09 10:12:27 EDT
Debmirror released: 23. January 2007
GPLv3 released: 29. June 2007

the copyrightfile of debmirror says:
License: The debmirror script is licensed under the terms of the GNU
         General Public License (see /usr/share/common-licenses/GPL).

x> lrwxrwxrwx 1 root root   5 2009-03-05 20:57 /usr/share/common-licenses/GPL -> GPL-3
This file is linked with GPLv3 in debian stable, testing and sid/experimental.

Debian says with the link to the actual gpl that this file is lincensed under GPL(actual_version) or higher. If today comes a GPLv4 the "debian license package" will be updated to GPL-> GPL-4 ( I asked Alexander "formorer" Wirth of the Debian Project). 

So it is in my (and Alexander's) view GPLv3+, even GPLv3 was later released than debmirror. I think, that GPLv2+ was right before the link switched to GPLv3.

I'm not really schooled in license things, maybe I'm totally wrong. I think this should be clarified by people who knows best, so I added a legal blocker!
Comment 36 Tom "spot" Callaway 2009-04-09 10:20:57 EDT
Keep in mind that you cannot use the version found in the GPL license text to indicate versioning intent on code. See:

http://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

Since the code doesn't specify anything, the correct license tag is "GPL+".

Lifting FE-Legal.
Comment 37 Ruben Kerkhof 2009-04-09 11:43:53 EDT
That clarifies things, thanks.

New version:
SPEC: http://ruben.fedorapeople.org/debmirror.spec
SRPM: http://ruben.fedorapeople.org/debmirror-20070123-7.fc11.src.rpm  

(in reply to comment #33): Simon, I've added findutils and coreutils to the Requires because debmirror uses cp and find.
Comment 39 Simon 2009-04-09 13:30:06 EDT
> (in reply to comment #33): Simon, I've added findutils and coreutils to the
> Requires because debmirror uses cp and find.  

yeah, I can partly understand "findutils" but I never seen a machine without "coreutils", but hey - it  was just a question, for me this thing was and is okay.  

subsequent correction:
# MUST: The License field in the package spec file must match the actual
license.
-----------
O.K.


last but not least a nice ASCII for Ruben :)
|-------------------|
|     APPROVED      |
|     DEBMIRROR     |
|-------------------|
Comment 40 Ruben Kerkhof 2009-04-09 14:50:10 EDT
Thanks for the ASCII (and the review) ;-)

New Package CVS Request
=======================
Package Name: debmirror
Short Description: Debian partial mirror script, with ftp and package pool support
Owners: ruben
Branches: F-9 F-10 F-11 EL-4 EL-5
Comment 41 Kevin Fenzi 2009-04-09 17:06:37 EDT
cvs done.
Comment 42 Ruben Kerkhof 2009-04-19 10:26:19 EDT
Packages have been build.

Note You need to log in before you can comment on or make changes to this bug.